groovy-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Paolo Di Tommaso <paolo.ditomm...@gmail.com>
Subject Re: Nextflow joint build
Date Tue, 06 Jun 2017 21:28:51 GMT
This is one of the issue:

https://issues.apache.org/jira/browse/GROOVY-8220


 It looks like that 2.5 branch has a lot of regressions with CompileStatic
.. is that possible?


Cheers,
Paolo

On Tue, Jun 6, 2017 at 10:29 PM, Paolo Di Tommaso <paolo.ditommaso@gmail.com
> wrote:

> What exactly 2.5.0-SNAPSHOT represent?
>
> All Nextflow tests are green on the joint built using Groovy
> <http://goog_1294521008>2.5 <http://goog_1294521008>.0-SNAPSHOT but it
> can't even compile it locally when using 2.5.0-beta-1
>
>
> p
>
> On Wed, Apr 5, 2017 at 6:42 PM, Paolo Di Tommaso <
> paolo.ditommaso@gmail.com> wrote:
>
>> Interesting, all nextflow tests are green with 2.5.0-SNAPSHOT but I'm
>> getting several failures with 2.5.0-alpha-1
>>
>> p
>>
>>
>> On Wed, Apr 5, 2017 at 9:18 AM, Paolo Di Tommaso <
>> paolo.ditommaso@gmail.com> wrote:
>>
>>> Thanks!
>>>
>>> p
>>>
>>> On Tue, Apr 4, 2017 at 11:12 PM, Paul King <paulk@asert.com.au> wrote:
>>>
>>>> Done.
>>>>
>>>> On Tue, Apr 4, 2017 at 10:56 PM, Paolo Di Tommaso <
>>>> paolo.ditommaso@gmail.com> wrote:
>>>>
>>>>> Hi,
>>>>>
>>>>> Is is possible to update the Nextflow joint build so that it's tested
>>>>> against Groovy 2.4.x and 2.5.x (instead 2.3.x and 2.4.x).
>>>>>
>>>>> http://ci.groovy-lang.org/project.html?projectId=JointBuilds
>>>>> _Nextflow&guest=1
>>>>>
>>>>>
>>>>> Thanks,
>>>>> Paolo
>>>>>
>>>>>
>>>>
>>>
>>
>

Mime
View raw message